# $Revision: 1.11 $, $Date: 2002/03/23 15:40:50 $
Summary:	The common Horde Framework for all Horde modules
Summary(es):	Elementos bsicos do Horde Web Application Suite
Summary(pl):	Wsplny szkielet Horde do wszystkich moduw Horde
Summary(pt_BR):	Componentes comuns do Horde usados por todos os mdulos
Name:		horde
Version:	1.2.6
Release:	2
License:	GPL
Vendor:		The Horde Project
Group:		Applications/Mail
Source0:	ftp://ftp.horde.org/pub/horde/tarballs/%{name}-%{version}.tar.gz
Source1:	%{name}.conf
URL:		http://www.horde.org/
Requires:	php >= 4.0.3pl1
Requires:	php-imap >= 4.0.3pl1
Requires:	php-pcre >= 4.0.3pl1
Requires:	php-gettext >= 4.0.3pl1
Requires:	php-posix >= 4.0.3pl1
Requires:	php-xml >= 4.0.3pl1
Requires:	php-mcrypt >= 4.0.3pl1
Requires:	apache >= 1.3.12
Prereq:		perl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apachedir	/etc/httpd
%define		apachegroup	http
%define		contentdir	/home/httpd

%description
The Horde Framework provides a common structure and interface for
Horde modules (such as IMP, a web-based mail program). This RPM is
required for all other Horde module RPMS.

The Horde Project writes web applications in PHP and releases them
under the GNU Public License. For more information (including help
with Horde and its modules) please visit http://www.horde.org/.

%description -l pl
Szkielet Horde dostarcza wspln struktur oraz interfejs dla moduw
Horde, takich jak IMP (obsuga poczty poprzez www). Ten pakiet jest
wymagany dla wszystkich innych moduw Horde.

Projekt Horde tworzy aplikacje w PHP i dostarcza je na licencji GNU
Public License. Jeeli chcesz si dowiedzie czego wicej (take help
do IMP'a) zajrzyj na stron http://www.horde.org

%description -l pt_BR
Este pacote prov uma interface e estrutura comuns para os mdulos Horde
(como IMP, um programa de webmail) e  requerido por todos os outros
mdulos Horde.

O Projeto Horde  constitudo por diversos aplicativos web escritos em PHP,
todos liberados sob a GPL. Para mais informaes (incluindo ajuda com
relao ao Horde e seus mdulos), por favor visite http://www.horde.org/.

%package mysql
Summary:	MySQL configuration for the Horde Framework
Summary(pl):	Konfiguracja MySQL dla Horde
Summary(pt_BR):	Configurao MySQL para o Sistema Horde
Group:		Applications/Mail
Requires:	horde = %{version}
Requires:	php-mysql >= 4.0.3pl1
Provides:	horde-phplib-storage
Conflicts:	horde-pgsql
Conflicts:	horde-shm

%description mysql
This RPM configures the Horde Framework to use MySQL for its PHPLIB
session storage.

%description mysql -l pl
Ten pakiet dostarcza konfiguracj Horde do wykorzystania z MySQL.

%description -l es mysql
This RPM configures the Horde Framework to use MySQL for its PHPLIB session
storage.

%package pgsql
Summary:	PostgreSQL configuration for the Horde Framework
Summary(pl):	Konfiguracja PostgreSQL dla Horde
Summary(pt_BR):	Configurao PostgreSQL para o Sistema Horde.
Group:		Applications/Mail
Requires:	horde = %{version}
Requires:	php-pgsql >= 4.0.3pl1
Provides:	horde-phplib-storage
Conflicts:	horde-mysql
Conflicts:	horde-shm

%description pgsql
This RPM configures the Horde Framework to use PostgreSQL for its
PHPLIB session storage.

%description pgsql -l pl
Ten pakiet dostarcza konfiguracj Horde do wykorzystania z PostgreSQL.

%description -l pt_BR pgsql
Este pacote configura o sistema Horde para usar PostgreSQL para
o armazenamento de sesses PHPLIB.

%package shm
Summary:	Shared memory configuration for the Horde Framework
Summary(pl):	Konfiguracja pamici dzielonej dla Horde
Summary(pt_BR):	Configurao de memria compartilhada para o Sistema Horde
Group:		Applications/Mail
Requires:	horde = %{version}
Requires:	php-sysvsem >= 4.0.3pl1
Requires:	php-sysvshm >= 4.0.3pl1
Provides:	horde-phplib-storage
Conflicts:	horde-mysql
Conflicts:	horde-pgsql

%description shm
This RPM configures the Horde Framework to use shared memory for its
PHPLIB session storage.

%description shm -l pl
Ten pakiet konfiguruje Horde do uywania pamici dzielonej

%description -l pt_BR shm
Este pacote configura o sistema Horde para usar memria compartilhada
para o armazenamento de sesses PHPLIB.

%prep
%setup -q

%build
perl -pi -e "s/'.*';/'hordemgr';/ if (/var\\s+\\\$(User|Password)\\s+=/);" phplib/local.inc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apachedir},%{contentdir}/html/horde}

cp -p $RPM_SOURCE_DIR/horde.conf $RPM_BUILD_ROOT%{apachedir}
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde

cd $RPM_BUILD_ROOT%{contentdir}/html/horde
mv phplib ../../horde-phplib
sh install.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Changing apache configuration"
perl -pi -e 's/$/ index.php3/ if (/DirectoryIndex\s.*index\.html/ && !/index\.php3/);' %{apachedir}/httpd.conf
grep -i 'Include.*horde.conf$' %{apachedir}/httpd.conf >/dev/null 2>&1
if [ $? -eq 0 ]; then
	perl -pi -e 's/^#+// if (/Include.*horde.conf$/i);' %{apachedir}/httpd.conf
else
	echo "Include %{apachedir}/horde.conf" >>%{apachedir}/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
        echo "Restarting httpd daemon"
	/etc/rc.d/init.d/httpd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/httpd start\" to start apache http daemon."
fi

%postun
if [ $1 -eq 0 ]; then
	echo "Changing apache configuration"
	perl -pi -e 's/^/#/ if (/^Include.*horde.conf$/i);' %{apachedir}/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
	        echo "Restarting httpd daemon"
		/etc/rc.d/init.d/httpd restart 1>&2
	else
		echo "Run \"/etc/rc.d/init.d/httpd start\" to start apache http daemon."
	fi
fi

%post mysql
perl -pi -e 's/^#// if (/To use an SQL database/../To use shared memory/);' %{contentdir}/horde-phplib/local.inc
cat <<_EOF2_

IMPORTANT:	If you are installing for the first time, you must now
create the Horde database tables.  The following commands (run as root)
will do this:

# mysql -p <%{contentdir}/html/horde/scripts/database/mysql_create.sql
# mysqladmin -p reload

For more information on creating the database tables, please consult
%{contentdir}/html/horde/docs/DATABASE.

_EOF2_

%post pgsql
perl -pi -e 's/^#// if (/To use an SQL database/../To use shared memory/);' %{contentdir}/horde-phplib/local.inc
perl -pi -e 's/db_mysql\.inc/db_pgsql.inc/;' %{contentdir}/horde-phplib/prepend.php3
cat <<_EOF2_

IMPORTANT:	If you are installing for the first time, you must now
create the Horde database tables.  The following commands (run as postgres)
will do this:

$ sh %{contentdir}/html/horde/scripts/database/pgsql_cuser.sh
$ psql template1 <%{contentdir}/html/horde/scripts/database/pgsql_create.sql

For more information on creating the database tables, please consult
%{contentdir}/html/horde/docs/DATABASE.

_EOF2_

%post shm
perl -pi -e 's/^#// if (/To use shared memory/../To use LDAP/);' %{contentdir}/horde-phplib/local.inc
perl -pi -e 's/ct_sql\.inc/ct_shm.inc/;' %{contentdir}/horde-phplib/prepend.php3

%files
%defattr(644,root,root,755)
# Apache horde.conf file
%config %{apachedir}/horde.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde
# Include top-level files by hand
%{contentdir}/html/horde/*.php3
%{contentdir}/html/horde/*.sh
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/graphics
%{contentdir}/html/horde/lib
%{contentdir}/html/horde/locale
%{contentdir}/html/horde/scripts
%{contentdir}/html/horde/templates
# Include phplib directory, but don't include local.inc and prepend.php3
# %config files, which are included in subpackages
%dir %{contentdir}/horde-phplib
%{contentdir}/horde-phplib/[0-9_a-km-oq-z]*
%{contentdir}/horde-phplib/page.inc
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/COPYING
%doc %{contentdir}/html/horde/README
%docdir %{contentdir}/html/horde/docs
%{contentdir}/html/horde/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/config
%{contentdir}/html/horde/config/*.dist
%defattr(-,root,%{apachegroup})
%config %{contentdir}/html/horde/config/*.html
%config %{contentdir}/html/horde/config/*.php3
%config %{contentdir}/html/horde/config/*.txt

%files mysql
%defattr(644,root,root,755)
%attr(640,root,%{apachegroup}) %config %{contentdir}/horde-phplib/local.inc
%config %{contentdir}/horde-phplib/prepend.php3

%files pgsql
%defattr(644,root,root,755)
%attr(640,root,%{apachegroup}) %config %{contentdir}/horde-phplib/local.inc
%config %{contentdir}/horde-phplib/prepend.php3

%files shm
%defattr(644,root,root,755)
%attr(640,root,%{apachegroup}) %config %{contentdir}/horde-phplib/local.inc
%config %{contentdir}/horde-phplib/prepend.php3

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: horde.spec,v $
Revision 1.11  2002/03/23 15:40:50  kloczek
- release 2.

Revision 1.10  2002/03/23 15:15:11  blues
- more es descriptions

Revision 1.9  2002/03/23 15:13:21  blues
- translations from CNV

Revision 1.8  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.7  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/08/22 17:30:20  filon
- changed Prereq:/usr/bin/perl to perl

Revision 1.3  2001/07/27 18:24:55  blues
- 1.2.6
- translation added
- %pre/%post slightly adapted to PLD standards
NOTE: this is security update. I'm not using this package, so check me...

Revision 1.2  2001/02/20 21:55:13  kloczek
- mostly stylistic changes.

Revision 1.1  2001/02/20 14:46:22  mkierus
- file from Horde.org with same changes:
- change Group to Appliocations/Mail,
- add dependences to modular php,
- change apacheuser and group to http
